[Overview][Classes][Procedures and functions][Index] | Reference for unit 'JSONPropStorage' (#lcl)

# TCustomJSONPropStorage.RootSection

Returns the name of the RootSection for the storage mechanism.

## Declaration

Source position: jsonpropstorage.pas line 30

`protected function TCustomJSONPropStorage.RootSection: string; override;`

## Function result

The current value for the RootSection property.

## Description

RootSection is an overridden String function used to return the section where the JSON content is stored in the JSON file. It ensures that the value in RootObjectPath is used (when assigned). When omitted, the inherited method is called to get the JSON object path for components in the hierarchy for Root.

The return value contains the JSON notation for the path name, like: 'TApplication/Form1' or 'TApplication/Frame1'.